summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-04 07:24:06 +0000
committerSam James <sam@gentoo.org>2021-04-04 07:26:53 +0000
commit6bf7256a530204e8891024da918a973841f92288 (patch)
tree4e6a24ae6cfbf75f1cc3e35d28cf88a61fa2c140
parentnet-dns/opendnssec: fix UnusedLocalUse (diff)
downloadgentoo-6bf7256a530204e8891024da918a973841f92288.tar.gz
gentoo-6bf7256a530204e8891024da918a973841f92288.tar.bz2
gentoo-6bf7256a530204e8891024da918a973841f92288.zip
games-arcade/solarwolf: eutils--, wrapper++
Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--games-arcade/solarwolf/solarwolf-1.5-r2.ebuild19
1 files changed, 11 insertions, 8 deletions
diff --git a/games-arcade/solarwolf/solarwolf-1.5-r2.ebuild b/games-arcade/solarwolf/solarwolf-1.5-r2.ebuild
index 2911c2d187f..4d060a7fedb 100644
--- a/games-arcade/solarwolf/solarwolf-1.5-r2.ebuild
+++ b/games-arcade/solarwolf/solarwolf-1.5-r2.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
-inherit desktop eutils python-r1
+PYTHON_COMPAT=( python3_{7,8} )
+inherit desktop python-r1 wrapper
DESCRIPTION="Action/arcade recreation of SolarFox"
HOMEPAGE="http://www.pygame.org/shredwheat/solarwolf/"
@@ -17,31 +17,34 @@ LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~x86"
-IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RDEPEND="${PYTHON_DEPS}
+RDEPEND="
+ ${PYTHON_DEPS}
>=dev-python/pygame-1.5.6[${PYTHON_USEDEP}]
media-libs/sdl-mixer[mod,vorbis]
"
DEPEND="${RDEPEND}"
-BDEPEND=""
src_prepare() {
default
eapply -p1 "${WORKDIR}"/debian/patches/*.patch
- find . -name .xvpics -print0 | xargs -0 rm -fr
- gunzip dist/${PN}.6.gz || die #619948
+ find . -name .xvpics -print0 | xargs -0 rm -fr || die
+ # bug #619948
+ gunzip dist/${PN}.6.gz || die
}
src_install() {
insinto /usr/share/${PN}
doins -r code data *py
+
make_wrapper ${PN} "python3 ./solarwolf.py" /usr/share/${PN}
+
newicon data/ship-big.png ${PN}.png
make_desktop_entry ${PN} SolarWolf
+
einstalldocs
doman dist/${PN}.6
}